1. PyPA
  2. Python Packaging Authority Projects
  3. setuptools
Issue #115 duplicate

py 2.4 and 2.5 support ditched?

Adam Groszer
created an issue
c:\buildslave\setuptools_master_py_254_win32\build>c:\Python25_32_clean\python.exe setup.py test" 
setup.py:16: Warning: 'with' will become a reserved keyword in Python 2.6
  File "setup.py", line 16
    with open(init_path) as init_file:
            ^
SyntaxError: invalid syntax

but classifiers state 2.4 and 2.5 support

Comments (2)

  1. Jason R. Coombs

    Adam, can those build slaves that use Python 2.4 and Python 2.5 be updated to use the '1.x-maintenance' bookmark?

    I apologize for the inconvenience. My intention was to start work on this but not release it right away, but I wasn't factoring in the impact on those following the tip.

  2. Log in to comment